#
# spec file for package python3-http-parser
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-http-parser
Version:        0.8.3
Release:        6.1
Url:            https://github.com/benoitc/http-parser/
Summary:        HTTP Request/Response Parser for Python in C
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/h/http-parser/http-parser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3 >= 3.2
BuildRequires:  python3-devel
Requires:       python3 >= 3.2
BuildRequires:  python3-distribute

%description
HTTP request/response parser for Python in C under MIT License, based on
http-parser from Ryan Dahl.

%prep
%setup -q -n http-parser-%{version}

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove exec bits from example scripts
chmod a-x examples/*

%files
%defattr(-,root,root)
%doc LICENSE NOTICE README.rst examples
%{python3_sitearch}/*

%changelog
* Sat Feb 14 2015 arun@gmx.de
- specfile:
  * update copyright year
  * removed precheckin script
- update to version 0.8.3:
  * fix: deflate compression in the Python parser
  * fix: license date
- changes from version 0.8.2:
  * add: header_only option to the C parser.
  * add: parser_class argument to the HttpStream object to test
    different parsers and eventually force the type of the parser
    used.
  * add: expose C parser errors in get_errno function.
  * fix: on_message_complete when the socket has closed immediately
  * fix: HttpParser.get_headers() when repeated or continuation
    headers appear.
  * fix: HttpParser.get_method() now return a native string on Python3
  * fix: deflate compression with some servers
* Fri Apr 12 2013 toddrme2178@gmail.com
- Disable building for python3 < 3.2 since it is not supported
* Wed Apr  3 2013 arun@gmx.de
- fix build for opensuse 12.2 and lower. Need to include python3
  otherwise haslib will complain
* Tue Feb 26 2013 p.drouand@gmail.com
- Initial python3 support
* Sat Feb  9 2013 p.drouand@gmail.com
- Update to 0.8.1:
  * No changelog available
* Sat Oct  6 2012 os-dev@jacraig.com
- Update to 0.7.12:
  * fix __eq__
  * fix environ update
- Changes from 0.7.11:
  * api should be consistent
- Changes from 0.7.10:
  * Fixed pyparser.py to work on Python 3
  * Bugfix: match against upper-cased header names
  * Bugfix: looking for popped HTTP_SCRIPT_NAME
- Changes from 0.7.9:
  * Regenerated parser.c from Cython 0.17
  * Updated HTTP parser C code
  * use SocketIO object on python3
  * fix data type, fix iteration
- Remove unnecessary rm from %%install, those files no longer exist.
* Sun Sep  9 2012 os-dev@jacraig.com
- Update to 0.7.8:
  * fix python 3 compatibility
  * fix categories
  * fix requirements in the readme, add TODO
- Changes from 0.7.7:
  * fix setup
  * add an example: parse a response text file on windows
  * fix issue 14
- Changes from 0.7.6:
  * fix setup.py and rebuild the extension
  * remove support of py25
  * use setuptools to install http_parser
  * chech if self.environ exists before update it
  * add an example for parse windows response file
  * add PURGE method
  * rebuild code
  * sync http-parser C code from joyent
  * only create WSGI environ on demand
- Remove executable bits from example scripts (RPMLINT warning).
* Tue Feb 28 2012 jfunk@funktronics.ca
- Update to version 0.7.5:
  * fix whitespaces
  * multiple headers values should be separated by a ", " not ","
  * regenerate the C code
* Tue Jan 31 2012 saschpe@suse.de
- Update to version 0.7.4
* Wed Jan 25 2012 jfunk@funktronics.ca
- Update to version 0.7.2
* Sun Nov 27 2011 jfunk@funktronics.ca
- Update to version 0.7.1
* Fri Sep 23 2011 saschpe@suse.de
- Update to version 0.7.0
* Mon Jun 20 2011 jfunk@funktronics.ca
- Initital release
